Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 303383 - [version bump] www-apps/horde-webmail-{1.2.10,4.0.6}
Summary: [version bump] www-apps/horde-webmail-{1.2.10,4.0.6}
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement with 1 vote (vote)
Assignee: Gentoo Web Application Packages Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-03 19:38 UTC by Dennis Schridde
Modified: 2012-04-09 14:03 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2010-02-03 19:38:21 UTC
Horde reports:
 Horde Groupware Webmail Edition 1.2.4 -- A newer version (1.2.5) exists.

Reproducible: Always
Comment 1 Andrew Rigney 2010-05-16 05:44:29 UTC
Horde Groupware Webmail Edition 1.2.6 (April 29 2010) is available now too.  An ebuild would be much appreciated!
Comment 2 Dennis Schridde 2010-06-07 17:53:42 UTC
Copying the ebuild is enough to make it work.
Comment 3 Dennis Schridde 2010-07-11 07:59:23 UTC
Any news on this one?
Comment 4 Liganic 2010-11-07 19:25:40 UTC
1.2.8 is the current version, fixing XSS vulnerabilities:

     * Fixed an XSS vulnerability in util/icon_browser.php.
     * Fixed an XSS vulnerability in the Fetchmail configuration.
     * Fixed an XSS vulnerability when showing mailbox names.
     * Protected preference forms against CSRF attacks.
Comment 5 Robin Bankhead 2010-12-04 10:16:05 UTC
Seems there is no longer a maintainer, just got this in emerge:

!!! The following installed packages are masked:
- www-apps/horde-webmail-1.2.4 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Alex Legler <a3li@gentoo.org> (28 Nov 2010)
# Not maintained, multiple security issues.
# Use the split horde ebuilds instaed.

Shame - a single ebuild makes life a lot easier, I have unhappy memories of the split ebuilds. Is a cut'n'paste really all that's required?

CC Alex because this bug should be closed if the mask is to stand.
Comment 6 Dennis Schridde 2010-12-04 10:36:08 UTC
(In reply to comment #5)
> Shame - a single ebuild makes life a lot easier, I have unhappy memories of the
> split ebuilds.
Agreeing there. I tried several times to get the split horde to work, but it was only after switching to horde-webmail that it finally started to work.
Comment 7 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-12-04 11:53:46 UTC
I'm not interested in the webmail or groupware packages, sorry.

Any dev can remove the mask if they have bumped the package.
Comment 8 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2012-01-22 19:44:48 UTC
Reading the horde-webmail page[1], the latest H3 version is 1.2.10 and the current H4 version is 4.0.6.

 [1] - http://www.horde.org/download/webmail
Comment 9 Dennis Schridde 2012-04-09 14:03:36 UTC
p-masked:
# Not maintained, multiple security issues.
# Use the split horde ebuilds instead.
# Removal end of April 2012